Subject: Re: [PATCH v1] git-clone.txt: add the --recursive option

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Sep 2021 14:43:19 -0700

Eric Sunshine <[email-masked]> writes:

> On Mon, Sep 13, 2021 at 3:14 PM Alban Gruin <[email-masked]> wrote:
>> This adds the --recursive option, an alias of --recurse-submodule, to
>> git-clone's manual page.
>>
>> Signed-off-by: Alban Gruin <[email-masked]>
>> ---
>> I found this out when a friend told me he could not remember how to
>> fetch submodules with git-clone, and when another one suggested
>> `--recurse-submodule'.  I checked the man page, and I was surprised to
>> find out that `--recursive' is not mentionned at all.
>>
>> I did not modify the synopsis.  So, this alias, although shorter than
>> the "real" option, would still be somewhat hidden in the man page.
>
> Considering that the `--recursive` option was intentionally removed
> from `git-clone.txt` by bb62e0a99f (clone: teach --recurse-submodules
> to optionally take a pathspec, 2017-03-17), it's not clear that this
> change helps the situation.

A logical continuation of what bb62e0a99f tried to do might be to
hide the --recursive[=<pathspec>] from "git clone -h", I guess.